com.h3c.of.lib.msg

## Enum MultipartRequestFlag

- java.lang.Object
- - java.lang.Enum<MultipartRequestFlag>
  - - com.h3c.of.lib.msg.MultipartRequestFlag

- All Implemented Interfaces:
    OfpBitmapEnum, OfpEnum, Serializable, Comparable<MultipartRequestFlag>

      public enum MultipartRequestFlag
      extends Enum<MultipartRequestFlag>
      implements OfpBitmapEnum

  Designates multipart request flags; Since 1.3.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `REQUEST_MORE` More requests to follow; Since 1.3.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBit(ProtocolVersion pv)` Returns the bit value for the constant, under the given protocol version.
    `String` | `toDisplayString()` Returns a string representation of the constant, suitable for presentation in a display.
    `String` | `toString()`
    `static MultipartRequestFlag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MultipartRequestFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REQUEST_MORE

          public static final MultipartRequestFlag REQUEST_MORE

      More requests to follow; Since 1.3.

  - ### Method Detail

    - #### values

          public static MultipartRequestFlag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MultipartRequestFlag c : MultipartRequestFlag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MultipartRequestFlag valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getBit

          public int getBit(ProtocolVersion pv)

      Description copied from interface: `OfpBitmapEnum`
      Returns the bit value for the constant, under the given protocol version.
      Specified by:
        `getBit` in interface `OfpBitmapEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the bit value for the constant

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<MultipartRequestFlag>`

    - #### toDisplayString

          public String toDisplayString()

      Description copied from interface: `OfpBitmapEnum`
      Returns a string representation of the constant, suitable for presentation in a display.
      Specified by:
        `toDisplayString` in interface `OfpBitmapEnum`
      Returns:
        a display string for the constant

Copyright © 2014. All Rights Reserved.